#!/usr/bin/env python
# -*- coding: utf-8 -*-

# # First notebook
# 
# Short examples on some pieces of the modules.

# In[1]:


from jyquickhelper import add_notebook_menu
add_notebook_menu()


# ## CodeNodeVisitor

# In[2]:


import ast
import inspect
from pysqllike.translation.node_visitor_translator import CodeNodeVisitor

def myjob(input):
    iter = input.select (input.age, input.nom, age2 = input.age2*input.age2)
    wher = iter.where( (iter.age > 60).Or(iter.age < 25))
    return wher

code = inspect.getsource(myjob)
node = ast.parse(code)
v = CodeNodeVisitor()
v.visit(node)
for r in v.Rows :
    print("{0}{1}: {2}".format("    " * r["indent"], r["type"], r["str"]))


# ## Translate into Python

# In[3]:


from pysqllike.translation.translation_to_python import Translate2Python
trans = Translate2Python(myjob)
code = trans.Code()
print(code)


# In[4]: